Quantcast
Channel: All NX Design Forum posts
Viewing all 25279 articles
Browse latest View live

Re: Problem with clone NX11.0.2, maybe

$
0
0

Hi ,

try this journal :

Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.Assemblies

Module rename_all_components_to_use_descriptive_part_name

    Dim theSession As Session = Session.GetSession()

    Sub Main()

        Dim dp As Part = theSession.Parts.Display

        Dim c As Component = dp.ComponentAssembly.RootComponent

        ProcessAssemblyTree(c)

    End Sub

    Sub ProcessAssemblyTree(ByVal c As Component)

        Dim children As Component() = c.GetChildren()

        For Each child As Component In children
            child.SetName(child.DisplayName)
            ProcessAssemblyTree(child)
        Next

    End Sub

    Public Function GetUnloadOption(ByVal dummy As String) As Integer
        Return Session.LibraryUnloadOption.Immediately
    End Function

End Module

Re: Different reference set in additional view

$
0
0
There should be no issue with changing the default reference set to 'As Saved'. I believe that that is the OOTB setting for load options. If for whatever reason you do save a component using the wrong reference set, it is easy enough to change it to Model or some other reference set at any time.

With regards to the drawing components, as was stated in an earlier reply to this topic, there are some limitations with them (e.g. parts list, exploded views, etc.) but in cases where you need to define those things, then simply select a base view or projected view created from the drawing file itself when adding parts list. You will also need to define the assembly explosions in the drawing file instead of the master assembly and then you may add the exploded view to the drawing.

Re: Different reference set in additional view

$
0
0

What is the problem with part list? I create the drawing by creating new file from the 3D so the drawing includes the 3D file as component, so the part list looks ok. Am I missing something?

 

What is the limitation with exploded views? I have checked and I can show differents arrangements from the views created pointed to the 3D file. Is not the same for the exploded views? (I havent used them yet)

Re: Different reference set in additional view

$
0
0

Cowski, I prefer to show solid flat reference set than the flat pattern view because as it is solid I can create isometric views and shaded views of the flat pattern.

Re: Complex surface pattern

$
0
0

You absolutely need to use Pattern face instead of Pattern Feature (with pattern face you can pattern the extrusion plus the blend).
Pattern feature is useful only when your instances must have special parameters.

Rendering using all workstation in the lan

$
0
0

Hi,

some CAD or rendering software like Keyshot can utilize workstations in the lan to partecipate at the render.

NX can do this without to use an NVIDIA Visual Computing Appliance or VCA machine as the Ray Traced Studio remote rendering server ?

NX on the Cloud with Amazon AppStream 2.0

$
0
0

Hi,

someone has exprerience to use NX on the Cloud with Amazon AppStream 2.0 ?

Re: NX on the Cloud with Amazon AppStream 2.0

$
0
0

I tried it. Smiley Wink

Both from my home (Medium speed network - ADSL) and from my Office (High speed network)

From my home the performances are not optimal... From my office performances are far far better.

Performances = Graphic Performances

 

What is surprising me are the calculation performances that seems to be better than my I7 intel PC.


Re: NX on the Cloud with Amazon AppStream 2.0

$
0
0

Hello,

 

What information are you looking for? We at TechMktgare using NX11 demos on Appstream and also planning to install Rulestream for testing. All seems to be working fine.

 

Amit

Re: NX on the Cloud with Amazon AppStream 2.0

$
0
0

Hi ,

I'm looking for cost, infrastructure necessary and so on.

We have 30 NX 11.02 seats in 4 different location, 3 in Italy and one in China.

Where file are stored ?

Server license ?

NX customizations.

NX updates ?

Error During Update..

$
0
0

Good day colleagues,

After updating sketch and applying mirror feature i faced with this error message: 

1.JPG

 

 

 

 

Main problem is not error,  i couldnt close it and i had to restart NX and lost my data. 

 

mauby someone faced with that problem and how could i avoid that problem in future ?

Thank you. 

P.S. sorry for english.

Re: Error During Update..

$
0
0

"how could i avoid that problem in future?"

 

The message: "There is an object which depends on itself" indicates that you had created a circular dependency. NX doesn't like that. Don't do that.

Re: Problem with clone NX11.0.2, maybe

$
0
0

Perfect, thanks, that journal did it

Re: CG in cylindrical CSYS

$
0
0

 I can see the attachment in my post now. 

Re: Different reference set in additional view

$
0
0

Exploded views do not work the same as arrangements. Exploded views must be created in the drawing file and can only operate on assembly components. Any drafting components will not show up in an exploded view.

 

Likewise, any drafting components added will not show up in a parts list.


Re: Copy a cross section of a body to a new part

$
0
0

If you have a file with various bodies that you want to turn into components, the easiest way to do so is with the "create new" command on the assembly toolbar (as mentioned by ). Let's say that you have a solid body in your file that you want to turn into a component. This command allows you to select the solid and specify a new part file; it will move the solid (and all geometry used to create it) into the new file and add it as a component to the original file. Repeat for other bodies that you want to turn into components.

Re: CG in cylindrical CSYS

$
0
0
Me too. Looks like they fixed it..

Re: Journal to move a group

$
0
0

The code below will find a group with a given name. The group object can be passed to the move object command and the group and its members will be moved accordingly.

 

        Dim tmpGrp As NXOpen.Tag = NXOpen.Tag.Null
        Dim myGroup As Group
        Dim groupFound As Boolean = False

        Const targetGroupName As String = "TEST"

        Do
            theUfSession.Obj.CycleObjsInPart(workPart.Tag, UFConstants.UF_group_type, tmpGrp)
            'skip the initial null tag
            If tmpGrp = NXOpen.Tag.Null Then
                groupFound = True
                Continue Do
            End If

            myGroup = Utilities.NXObjectManager.Get(tmpGrp)
            If myGroup.Name = targetGroupName Then
                groupFound = True
                Exit Do
            End If

        Loop Until tmpGrp = NXOpen.Tag.Null

Re: CG in cylindrical CSYS

$
0
0

Use an associative measure body to create a point at the CG of the body then use measure point to get expressions for the X,Y,Z coordinates of the CG. In the expression system, you can create expressions to get the r and theta values (you already have the z value).

r = sqrt(x^2 + y^2)

theta = atangent2(x,y)

Use the measure point expression names for the X and Y coordinates in place of x and y above.

 

The above will work in NX 9, but I'm not sure if lower versions have the "measure point" function.

Re: Journal to move a group

$
0
0

Thank you.  

I attempted to paste this code into a simple routine but I got several Journal compile errors.  A few:

"item is not declared" errors and one "overload resolution failed because no accessible 'add' can be found.

 

I'm sorry, but I have little to no VB coding experience so I've probably pasted this in incorrectly.  

 

So, could you possibly help just a bit more and provide a complete code that does the following:

 

1) Selects a group called "bob" and moves it 100 inches in the x direction and then

2) Selects a group called "larry" and moves it 200 inces in the x direction

 

I think I could figure out the all of the other bits.

 

I appreciate your help.

 

Marc

Viewing all 25279 articles
Browse latest View live


<script src="https://jsc.adskeeper.com/r/s/rssing.com.1596347.js" async> </script>